#!/bin/bash

# Create symlink to HVR935 tuner
if [[ "$1" =~ "dvb1.frontend0" ]]; then
  sudo unlink /dev/dvb/adapter2
  sudo ln -sf /dev/dvb/adapter1 /dev/dvb/adapter2
  logger "HVR-935 detected: Creating symlink for device at /dev/dvb/adapter2 -> /dev/dvb/adapter1"
elif [[ "$1" =~ "dvb0.frontend0" ]]; then
  sudo unlink /dev/dvb/adapter2
  sudo ln -sf /dev/dvb/adapter0 /dev/dvb/adapter2
  logger "HVR-935 detected: Creating symlink for device at /dev/dvb/adapter2 -> /dev/dvb/adapter0"
elif [[ "$1" = "video1" ]]; then
  sudo unlink /dev/video2
  sudo unlink /dev/vbi2
  sudo ln -sf /dev/video1 /dev/video2
  sudo ln -sf /dev/vbi1 /dev/vbi2
  logger "Remapping T2 analog device to video2/vbi2"
elif [[ "$1" = "video0" ]]; then
  sudo unlink /dev/video2
  sudo unlink /dev/vbi2
  sudo ln -sf /dev/video0 /dev/video2
  sudo ln -sf /dev/vbi0 /dev/vbi2
  logger "Remapping T2 analog device to video2/vbi2"
else
  #echo Not remapping $1 >> /tmp/t2
  :
fi

