#!/bin/bash
APPNAME=$1
# Take screenshot
# This must run as user true in order to work
DISPLAY=:0 sudo -u true /usr/bin/scrot "/data/snaps/%a-%b-%d-%Y-%H-%M-%Z-%s-${APPNAME}.png"
# Compress core file
CORE_FILE="/data/core-${APPNAME}.gz"
/bin/gzip -f - > "$CORE_FILE"
chown true.true "$CORE_FILE"
sync

